<template>
  <div class="weather-card" @click="click">
    <h1 class="title">{{title}}</h1>
    <div class="wc-body">
      <div class="weather-icon" v-if="icon">
        <i v-if="icon" class="icon" :class="[icon ? `icon-${icon}`: '']"></i>
      </div>
      <div v-else class="loader"></div>
      <h2 v-if="temprature" class="temprature">{{temprature | toFixed }} &deg;</h2>
    </div>
    <div class="wc-footer">
      <div v-if="minTemp" title="minimum temprature">&#129047; {{minTemp | toFixed}} &deg;</div>
      <div v-if="maxTemp" title="maximum temprature">&#129045; {{maxTemp | toFixed}} &deg;</div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    title: String,
    temprature: Number,
    minTemp: Number,
    maxTemp: Number,
    icon: String
  },
  filters: {
    toFixed (value) {
      if (!value) return
      return parseFloat(value).toFixed(2)
    }
  },
  methods: {
    click () {
      this.$emit('click')
    }
  }
}
</script>

<style scoped>
  .weather-card {
    background: #fff;
    padding-top: .75rem;
    color: #111;
    margin: 0 0 0.5rem;
    display: flex;
    flex-direction: column;
    border: 1px solid #ddd;
    border-radius: 4px;
    min-width: 160px;
  }
  
  h1.title {
    margin: 0;
    text-align: center;
    font-weight: normal;
    font-size: 1.5rem;
    padding: 0 0.75rem;
  }

  .head-meta span {
    padding: 5px;
    font-size: 14px;
  }
  .head-meta span i {
    font-size: 1.5rem;
  }

  .wc-body {
    display: flex;
    padding-top: 1rem;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    padding: .75rem;
    min-height: 100px;
  }

  .wc-footer {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    background: #ddd;
    padding: .5rem 0.75rem;
  }

  .wc-footer p {
    margin: 0;
    font-size: 14px;
    text-align: center;
    font-weight: bold;
  }
</style>
